%define name	libupnp
%define version	1.6.3
%define release %mkrel 1

%define major	0
%define libname %mklibname upnp %major

Name: 	 	%{name}
Summary: 	Library and tools for the UPnP protocol
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2
URL:		http://pupnp.sourceforge.net/
License:	BSD
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the  Universal Plug and Play Device
Architecture Specification.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure --with-documentation=$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version} \
        --enable-tools\
        --enable-sample
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING LICENSE NEWS README THANKS TODO
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*pc
%{_defaultdocdir}/%{name}-%{version}/*Prog*
%{_defaultdocdir}/%{name}-%{version}/html
%{_defaultdocdir}/%{name}-%{version}/examples




%changelog
* Sat Jan 26 2008 Erwan Velu <erwan@mandriva.org> 1.6.3-1mdv2008.1
+ Revision: 158259
- 1.6.3
- 1.6.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 07 2007 Erwan Velu <erwan@mandriva.org> 1.6.0-1mdv2008.0
+ Revision: 59908
- 1.6.0

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 17464
- 1.4.4


* Wed Feb 28 2007 Erwan Velu <erwan@mandriva.org> 1.4.2-1mdv2007.0
+ Revision: 126950
- 1.4.2
- Import libupnp

* Wed Aug 23 2006 Erwan Velu <erwan@mandriva.org> 1.4.1-1
- Switching to pupnp

* Fri Jul 21 2006 Erwan Velu <erwan@mandriva.org> 1.3.1-1
- 1.3.1
- Big clean, 1.3.1 sounds easiest to package

* Mon Aug 15 2005 Austin Acton <austin@mandriva.org> 1.2.1a-3mdk
- debian fix is better than mine

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 1.2.1a-2mdk
- some fancy footwork to:
  - follow libification policy
  - follow multiarch policy

* Sun Aug 14 2005 Austin Acton <austin@mandrake.org> 1.2.1a-1mdk
- initial package

